Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.bcel.classfile
Class ConstantMethodHandle

    java.lang.Object
      org.apache.tomcat.util.bcel.classfile.Constant
          org.apache.tomcat.util.bcel.classfile.ConstantMethodHandle

All Implemented Interfaces:
  Serializable, Cloneable

    public final class ConstantMethodHandle

extends Constant

This class is derived from the abstract Constant class and represents a reference to a method handle.

See Also:
  `Constant`, Serialized Form

Field Summary

Fields inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`tag`

Constructor Summary
`ConstantMethodHandle(ConstantMethodHandle c)` Initialize from another object.
`ConstantMethodHandle(int reference_kind, int reference_index)`

Method Summary
`int` | `getReferenceIndex()`
`int` | `getReferenceKind()`
`void` | `setReferenceIndex(int reference_index)`
`void` | `setReferenceKind(int reference_kind)`
`String` | `toString()`

Methods inherited from class org.apache.tomcat.util.bcel.classfile.Constant
`clone, equals, getTag, hashCode`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConstantMethodHandle

    public ConstantMethodHandle(ConstantMethodHandle c)

  Initialize from another object.

### ConstantMethodHandle

    public ConstantMethodHandle(int reference_kind,
                                int reference_index)

Method Detail

### getReferenceKind

    public int getReferenceKind()

### setReferenceKind

    public void setReferenceKind(int reference_kind)

### getReferenceIndex

    public int getReferenceIndex()

### setReferenceIndex

    public void setReferenceIndex(int reference_index)

### toString

    public final String toString()

  Overrides:
    `toString` in class `Constant`
  Returns:
    String representation

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.35
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.